Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ConsultAmppComponentType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentKeyType
          be.fgov.ehealth.dics.protocol.v4.ConsultAmppComponentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:31+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultAmppComponentType

extends AmppComponentKeyType
implements Serializable

Java class for ConsultAmppComponentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppComponentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}AmppComponentKeyType">
           <sequence>
             <element name="ContentType" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}ContentTypeType"/>
             <element name="ContentMultiplier" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" minOccurs="0"/>
             <element name="PackSpecification" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="DeviceType" type="{urn:be:fgov:ehealth:dics:protocol:v4}DeviceTypeType" minOccurs="0"/>
             <element name="PackagingClosure" type="{urn:be:fgov:ehealth:dics:protocol:v4}PackagingClosureType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PackagingMaterial" type="{urn:be:fgov:ehealth:dics:protocol:v4}PackagingMaterialType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PackagingType" type="{urn:be:fgov:ehealth:dics:protocol:v4}PackagingTypeType"/>
             <element name="AmppComponentEquivalent" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultAmppComponentEquivalentType" maxOccurs="unbounded"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultAmppComponentType()`

Method Summary
`List<ConsultAmppComponentEquivalentType>` | `getAmppComponentEquivalents()` Gets the value of the amppComponentEquivalents property.
`BigInteger` | `getContentMultiplier()` Gets the value of the contentMultiplier property.
`String` | `getContentType()` Gets the value of the contentType property.
`DeviceTypeType` | `getDeviceType()` Gets the value of the deviceType property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`List<PackagingClosureType>` | `getPackagingClosures()` Gets the value of the packagingClosures property.
`List<PackagingMaterialType>` | `getPackagingMaterials()` Gets the value of the packagingMaterials property.
`PackagingTypeType` | `getPackagingType()` Gets the value of the packagingType property.
`String` | `getPackSpecification()` Gets the value of the packSpecification property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setContentMultiplier(BigInteger value)` Sets the value of the contentMultiplier property.
`void` | `setContentType(String value)` Sets the value of the contentType property.
`void` | `setDeviceType(DeviceTypeType value)` Sets the value of the deviceType property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setPackagingType(PackagingTypeType value)` Sets the value of the packagingType property.
`void` | `setPackSpecification(String value)` Sets the value of the packSpecification property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentKeyType
`getAmpcSequenceNr, getSequenceNr, setAmpcSequenceNr, setSequenceNr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultAmppComponentType

    public ConsultAmppComponentType()

Method Detail

### getContentType

    public String getContentType()

  Gets the value of the contentType property.

  Returns:
    possible object is `String`

### setContentType

    public void setContentType(String value)

  Sets the value of the contentType property.

  Parameters:
    `value` - allowed object is `String`

### getContentMultiplier

    public BigInteger getContentMultiplier()

  Gets the value of the contentMultiplier property.

  Returns:
    possible object is `BigInteger`

### setContentMultiplier

    public void setContentMultiplier(BigInteger value)

  Sets the value of the contentMultiplier property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getPackSpecification

    public String getPackSpecification()

  Gets the value of the packSpecification property.

  Returns:
    possible object is `String`

### setPackSpecification

    public void setPackSpecification(String value)

  Sets the value of the packSpecification property.

  Parameters:
    `value` - allowed object is `String`

### getDeviceType

    public DeviceTypeType getDeviceType()

  Gets the value of the deviceType property.

  Returns:
    possible object is `DeviceTypeType`

### setDeviceType

    public void setDeviceType(DeviceTypeType value)

  Sets the value of the deviceType property.

  Parameters:
    `value` - allowed object is `DeviceTypeType`

### getPackagingClosures

    public List<PackagingClosureType> getPackagingClosures()

  Gets the value of the packagingClosures property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingClosures property.

  For example, to add a new item, do as follows:

          getPackagingClosures().add(newItem);

  Objects of the following type(s) are allowed in the list `PackagingClosureType`

### getPackagingMaterials

    public List<PackagingMaterialType> getPackagingMaterials()

  Gets the value of the packagingMaterials property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingMaterials property.

  For example, to add a new item, do as follows:

          getPackagingMaterials().add(newItem);

  Objects of the following type(s) are allowed in the list `PackagingMaterialType`

### getPackagingType

    public PackagingTypeType getPackagingType()

  Gets the value of the packagingType property.

  Returns:
    possible object is `PackagingTypeType`

### setPackagingType

    public void setPackagingType(PackagingTypeType value)

  Sets the value of the packagingType property.

  Parameters:
    `value` - allowed object is `PackagingTypeType`

### getAmppComponentEquivalents

    public List<ConsultAmppComponentEquivalentType> getAmppComponentEquivalents()

  Gets the value of the amppComponentEquivalents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amppComponentEquivalents property.

  For example, to add a new item, do as follows:

          getAmppComponentEquivalents().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultAmppComponentEquivalentType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.